JsDoc Reference - DataUnitAPDU

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class DataUnitAPDU

Adapter class to decode APDUs for data unit handling
Defined in: DataUnitAPDU.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DataUnitAPDU(apdu) Create an adapter to decode a APDU for data unit handling

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getCData() Get the command data
| getFID() Gets the file identifier, if one defined
| getOffset() Gets the offset
| getSFI() Gets the short file identifier, if one defined
| hasCData() Returns true if command data in contained in the APDU
<static> | DataUnitAPDU.test() Simple Unit Test

Class Detail
DataUnitAPDU(apdu)
Create an adapter to decode a APDU for data unit handling

Parameters:
{APDU} apdu
  the APDU to decode

Method Detail
{ByteString} getCData()
Get the command data

Returns:
  the command data

{ByteString} getFID()
Gets the file identifier, if one defined

Returns:
  the file identifier or null if not defined

{Number} getOffset()
Gets the offset

Returns:
  the offset to read from or write to

{Number} getSFI()
Gets the short file identifier, if one defined

Returns:
  the short file identifier in the range 1 to 30 or -1 if not defined

{boolean} hasCData()
Returns true if command data in contained in the APDU

Returns:
  true if command data contained

<static> DataUnitAPDU.test()
Simple Unit Test

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)